Summary:	Library implementing the SSH2 protocol
Summary(pl.UTF-8):	Biblioteka implementująca protokół SSH2
Name:		libssh2
Version:	1.8.0
Release:	1
License:	BSD
Group:		Libraries
Source0:	https://www.libssh2.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	3d1147cae66e2959ea5441b183de1b1c
URL:		https://libssh2.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libssh2 is a C library implementing the SSH2 protocol according to
Internet Draft specifications SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06),
SECSH-DHGEX(04), and SECSH-NUMBERS(10).

Supported Ciphers:
- aes256-ctr, aes192-ctr, aes128-ctr,
- aes256-cbc (aka rijndael-cbc@lysator.liu.se), aes192-cbc, aes128-cbc
- 3des-cbc
- blowfish-cbc
- cast128-cbc
- arcfour, arcfour128
- none

Supported Key Exchange Methods:
- diffie-hellman-group1-sha1
- diffie-hellman-group14-sha1
- diffie-hellman-group-exchange-sha1
- diffie-hellman-group-exchange-sha256

Supported Hostkey Types:
- ssh-rsa
- ssh-dss

Supported Compression Methods:
- zlib, zlib@openssh.com
- none

Supported Message Authentication Codes:
- hmac-sha2-256, hmac-sha2-512
- hmac-sha1, hmac-sha1-96
- hmac-md5, hmac-md5-96
- hmac-ripemd160 (hmac-ripemd160@openssh.com)
- none

%description -l pl.UTF-8
libssh2 to biblioteka C implementująca protokół SSH2 zgodnie ze
specyfikacjami Internet Draft SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06),
SECSH-DHGEX(04), and SECSH-NUMBERS(10).

Obsługiwane szyfry:
- aes256-ctr, aes192-ctr, aes128-ctr,
- aes256-cbc (znany też jako rijndael-cbc@lysator.liu.se), aes192-cbc,
  aes128-cbc
- 3des-cbc
- blowfish-cbc
- cast128-cbc
- arcfour, arcfour128
- none

Obsługiwane metody wymiany kluczy:
- diffie-hellman-group1-sha1
- diffie-hellman-group14-sha1
- diffie-hellman-group-exchange-sha1
- diffie-hellman-group-exchange-sha256

Obsługiwane rodzaju kluczy hosta:
- ssh-rsa
- ssh-dss

Obsługiwane metody kompresji:
- zlib
- none

Obsługiwane kody uwierzytelniania wiadomości:
- hmac-sha2-256, hmac-sha2-512
- hmac-sha1, hmac-sha1-96
- hmac-md5, hmac-md5-96
- hmac-ripemd160 (hmac-ripemd160@openssh.com)
- none

%package devel
Summary:	Header files for libssh2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libssh2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel
Requires:	zlib-devel

%description devel
Header files for libssh2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libssh2.

%package static
Summary:	Static libssh2 library
Summary(pl.UTF-8):	Biblioteka statyczna libssh2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libssh2 library.

%description static -l pl.UTF-8
Biblioteka statyczna libssh2.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--with-openssl=%{_prefix}
# AC_LIB_HAVE_LINKFLAGS adds unwanted -L/usr/lib to each LTLIB* - override it
%{__make} \
	LTLIBSSL="-lssl -lcrypto" \
	LTLIBZ="-lz"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README RELEASE-NOTES docs/{AUTHORS,BINDINGS,TODO}
%attr(755,root,root) %{_libdir}/libssh2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libssh2.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libssh2.so
%{_libdir}/libssh2.la
%{_includedir}/libssh2*.h
%{_mandir}/man3/libssh2_*.3*
%{_pkgconfigdir}/libssh2.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libssh2.a
%changelog
* Wed Dec 07 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libssh2.git;a=log;h=master

* Wed Dec 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 0d2ae8e
- updated to 1.8.0 (compatible with openssl 1.1 now)

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 658acb4
- updated to 1.7.0 (fixes CVE-2016-0787)

* Wed Oct 07 2015 Adam Osuchowski <adwol@pld-linux.org> b9c3468
- up to 1.6.0

* Wed Apr 22 2015 Jakub Bogusz <qboosh@pld-linux.org> 0492a41
- updated to 1.5.0 (includes fix for CVE-2015-1782)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 6f7a09a
- x32 rebuild
- release 2 (by relup.sh)

* Fri Nov 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 66ad6b3
- updated to 1.4.3

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> aebfb00
- updated to 1.4.2

* Tue Apr 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 7022e6b
- updated to 1.4.1

* Fri Feb 03 2012 Jakub Bogusz <qboosh@pld-linux.org> ffd1034
- updated to 1.4.0

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 3d9854a
- updated to 1.3.0

* Wed Aug 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 7403d9c
- updated to 1.2.9
- removed obsolete version patch

* Tue Apr 26 2011 Jakub Bogusz <qboosh@pld-linux.org> c54c454
- no need for +x for .la

* Sat Apr 23 2011 alucard <alucard@pld-linux.org> 1bfcd55
- revert, libtool file is needed to build flickcurl
- release 4

* Sat Apr 16 2011 Artur Frysiak <artur@frysiak.net> 6ffb554
- drop libtool file
- rel. 3

* Thu Apr 14 2011 Kacper Kornet <draenog@pld-linux.org> 163bfc4
- correct version in pkgconfig file
- rel. 2

* Fri Apr 08 2011 lisu <lisu@pld-linux.org> 3c00f80
- updated to 1.2.8

* Fri Oct 08 2010 Jakub Bogusz <qboosh@pld-linux.org> e5f6b02
- kill -L/usr/lib
- release 2

* Wed Aug 18 2010 lisu <lisu@pld-linux.org> fbac22c
- 1.2.7

* Thu Jun 10 2010 lisu <lisu@pld-linux.org> b93d107
- 1.2.6

* Wed Apr 14 2010 lisu <lisu@pld-linux.org> 0206263
- up to 1.2.5

